StocksAndFisheriesKB - Task #24833
Task # 24611 (In Progress): Create the new GRSF Publisher service

Please check if 'exploiting_fishery' property is stil produced by KB
Mar 23, 2023 11:50 AM - Luca Frosini

Status: Closed Start date: Mar 23, 2023
Priority: Normal Due date:

Assignee: Yannis Marketakis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

Looking at the JSON of the records published in June 2021, | didn't find any occurrence of such a property.

Can you confirm if this property is still needed?

History

#1 - Mar 23, 2023 12:12 PM - Yannis Marketakis

- Status changed from New to In Progress

| see that currently, we have fishery records exploiting stock records and not vice versa.

For example, the GRSF fishery record https://data.d4science.org/ctlg/GRSF_Admin/f9076ff5-d330-3e26-8f13-9f71ab96b864 has a list of exploiting
GRSF stock records. One of them is https://data.d4science.org/ctlig/GRSF_Admin/5a2fc2dd-97d4-3958-8bbd-e97 14481 bcff

However, the opposite direction is not explicitly recorded. Is that normal @aureliano.gentile@fao.org?

#2 - Mar 23, 2023 12:31 PM - Aureliano Gentile
Conceptually speaking: a fish stock is exploited by a fishery, but not the contrary. So we have respectevely exploited stock and exploiting fishery.
However, we spoke, and the CKan just shows the connections as "Connected record", which indeed are in both directions (stock to fishery, fishery to

stock).
For example:

e stock https: .d4science.org/ctlg/GRSF_Admin - -374d- -7e443f4{2
e fishery https:/data.d4science.org/ctlg/GRSF_Admin/23ec8e89-905b-34bc-89cc-9b3f2df895a9

both displayed as "Connected record".
This is fine, otherwise the labels could be

e Exploited stock
e Exploiting fishery

But feel free to ignore if this is too complex or trigger additional burden.

Thanks, | hope it helps.
Aureliano

#3 - Mar 23, 2023 01:26 PM - Yannis Marketakis
Connected records are different from the exploited resources. Their semantics differ.
e we have connected records like the cases you mentioned (as you can see their fields is called Connected Record),

e we have exploited resources are used for indicating records that could be potentially connected (like
https://data.d4science.org/ctlg/GRSF_Admin/f9076ff5-d330-3e26-8f13-9f71ab96b864 with their field called Resources Exploited).

#4 - Mar 23, 2023 01:37 PM - Aureliano Gentile

yes | see, but that field "Resources Exploited" not sure if it is working well and most important if it is still relevant with the introduction of the
traceability units. It might be confusing and probably the connected record should be the only one available.
The potential matches might be handled or at competency query level and/or in the management panel but not in the identity of the record.

#5 - Mar 24, 2023 09:14 AM - Yannis Marketakis
If it is confusing then we should change the label (from Resources exploited to something else).
In terms of modeling and functionalities, they are needed (for example these links are proposed connections through the management panel).
@aureliano.gentile@fao.org if you agree, let's discuss this today in our arranged call.

#6 - Mar 24, 2023 12:14 PM - Yannis Marketakis

We discussed it together with Aureliano this morning.
The suggestion is the following:

e exploiting_fishery: This is not needed
e resources_exploited: Keep it for indicating the potential connections between fisheries and stocks

Moreover, FORTH will make sure to hide this info (potential connections) when records are published in GRSF Public VRE.

Moreover, @luca.frosini@isti.cnr.it do you think it would be easy to change the label of the field Connected Record to Connected Stock Record
and Connected Fishery Record , depending on the type of record that is visualized (fishery and stock respectively)?

#7 - Apr 14, 2023 04:46 PM - Luca Frosini

Yannis Marketakis wrote in #note-6:

We discussed it together with Aureliano this morning.
The suggestion is the following:

e exploiting_fishery: This is not needed
¢ resources_exploited: Keep it for indicating the potential connections between fisheries and stocks

Moreover, FORTH will make sure to hide this info (potential connections) when records are published in GRSF Public VRE.
Moreover, @luca.frosini@isti.cnr.it do you think it would be easy to change the label of the field Connected Record to Connected Stock

Record and Connected Fishery Record , depending on the type of record that is visualized (fishery and stock respectively)?

With the new service the label fro Stock Record will be Connected Stock Record and the label for Fishery will be Connected Fishery Record

#8 - Apr 26, 2023 10:32 AM - Luca Frosini
- Status changed from In Progress to Closed

- % Done changed from 0 to 100
